.. % $Id: dsml.rst,v 1.6 2016/07/24 15:47:46 stroeder Exp $

***************************************
:mod:`dsml` DSMLv1 parser and generator
***************************************

.. :py:module:: dsml
   :synopsis: Parses and generates DSMLv1 files
.. moduleauthor:: python-ldap project (see https://www.python-ldap.org/)


This module parses and generates LDAP data in the format DSMLv1. It is
implemented in pure Python and does not rely on any non-standard modules.
Therefore it can be used stand-alone without the rest of the python-ldap
package.


.. autoclass:: dsml.DSMLWriter
   :members:

.. autoclass:: dsml.DSMLParser
   :members:


.. _dsml-example:

Example
=======
